package DataSets;

import java.awt.Color;
import java.util.Hashtable;

import classes.AbstractCpsObject;

/*
 * a class which contains one AbstractCpsObject and a corresponding Hashtable
 * for the properties "total Consumption", "total Produktion" and "number of activated Elements"
 * so far...
 */
public class GraphDataSet {
	Hashtable<String, PropertyDataSet> propertyTable;
	AbstractCpsObject cpsObject;
	
	public GraphDataSet(AbstractCpsObject obj){
		cpsObject = obj;
		propertyTable = new Hashtable<String, PropertyDataSet>();
	}
	
	public GraphDataSet(AbstractCpsObject obj, Hashtable<String, PropertyDataSet> ht){
		cpsObject = obj;
		propertyTable = ht;
	}
	
	public void setObject(AbstractCpsObject aco){
		cpsObject = aco;
	}
	
	public void setPropertyTable(Hashtable<String, PropertyDataSet> ht){
		propertyTable = ht;
	}
	
	public AbstractCpsObject getObject(){
		return cpsObject;
	}
	
	public Hashtable<String, PropertyDataSet> getPropertytTable(){
		return propertyTable;
	}
	
}
